"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.microFrontendsDevServer = void 0;
const tslib_1 = require("tslib");
const executors_1 = require("@nx/vite/executors");
const run_remotes_1 = require("../utils/run-remotes");
const mf_beta_warning_1 = require("../../utils/mf-beta-warning");
function microFrontendsDevServer(options, context) {
    return tslib_1.__asyncGenerator(this, arguments, function* microFrontendsDevServer_1() {
        (0, mf_beta_warning_1.addMicroFrontendBetaWarning)();
        yield tslib_1.__await((0, run_remotes_1.runRemotes)(options, context));
        return yield tslib_1.__await(yield tslib_1.__await(yield* tslib_1.__asyncDelegator(tslib_1.__asyncValues((0, executors_1.viteDevServerExecutor)(options, context)))));
    });
}
exports.microFrontendsDevServer = microFrontendsDevServer;
exports.default = microFrontendsDevServer;
//# sourceMappingURL=executor.js.map