import { GeneratorCallback, Tree } from '@nx/devkit';
export interface AngularInitSchema {
    demoFilePath: string;
    installMaterialExample: boolean;
    projectRoot: string;
    isApp: boolean;
}
export declare function addAngularPluginToViteConfig(tree: Tree, options: AngularInitSchema): void;
/**
 * - adds angular example component (either Material or plain angular one)
 * - installs necessary dependencies
 */
export declare function angularInit(tree: Tree, options: AngularInitSchema): GeneratorCallback;
