import { UserConfig } from 'vite';
import { type QwikVitePluginOptions } from '@builder.io/qwik/optimizer';
/**
 * Updates config for the storybook
 * @param config vite configuration to be updated for storybook
 * @param qwikViteOpts options for the `qwikVite` plugin that is being overridden in this utility
 */
export declare function withNx(config: UserConfig, qwikViteOpts?: QwikVitePluginOptions): UserConfig;
