"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.hasCloudflareIntegration = exports.isQwikNxProject = void 0;
const devkit_1 = require("@nx/devkit");
function isQwikNxProject(config) {
    var _a, _b;
    return ((_b = (_a = config.targets) === null || _a === void 0 ? void 0 : _a['build']) === null || _b === void 0 ? void 0 : _b.executor) === 'qwik-nx:build';
}
exports.isQwikNxProject = isQwikNxProject;
function hasCloudflareIntegration(tree, config) {
    if (!tree.exists((0, devkit_1.joinPathFragments)(config.root, 'adapters/cloudflare-pages'))) {
        return false;
    }
    if (!tree.exists((0, devkit_1.joinPathFragments)(config.root, 'src/entry.cloudflare-pages.tsx'))) {
        return false;
    }
    return true;
}
exports.hasCloudflareIntegration = hasCloudflareIntegration;
//# sourceMappingURL=migrations.js.map